This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 854278 - After adding certain objects to katello one will see a warning, '' did not meet the current search criteria and is not being shown
After adding certain objects to katello one will see a warning, '' did not me...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: beta
: 1.2
Assigned To: Adam Price
Og Maciel
: Triaged
Depends On: 841984 854275
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 10:39 EDT by Eric Sammons
Modified: 2013-03-27 16:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 854275
Environment:
Last Closed: 2013-02-21 14:17:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Katello log (53.25 KB, text/plain)
2012-09-07 10:25 EDT, Og Maciel
no flags Details

  None (edit)
Description Eric Sammons 2012-09-04 10:39:07 EDT
+++ This bug was initially created as a clone of Bug #854275 +++

Description of problem:
During the creation of a new user, a message will be returned after clicking save user.  The messages indicate the user was created successfully; however, the user will not show up in the user list immediately and a related error message is returned, '' did not meet the current search criteria and is not being shown

Version-Release number of selected component (if applicable):
katello-common-1.1.8-1.git.19.fc6b1f1.fc16.noarch

Steps to Reproduce:
1. Navigate to your favorite katello deployment
2. Login with admin
3. create a new user
  
Actual results:
User created successfully
'' did not meet the current search criteria and is not being shown

Expected results:
User create successfullly w/ the user appearing in the user list (left pane).

Additional info:
Comment 1 Og Maciel 2012-09-07 10:21:11 EDT
2012-09-07 10:15:51 < adprice> omaciel: ahah! got something. changed roles and org of a user. then switched to orgs page and got " '' no longer matches the current search criteria "
2012-09-07 10:16:26 < omaciel> adprice: BINGO!
Comment 2 Og Maciel 2012-09-07 10:25:09 EDT
Created attachment 610745 [details]
Katello log

Calls that were made when reproducing this.
Comment 4 Jordan OMara 2012-09-18 10:58:58 EDT
Regression as of c5a15c5caa2f1d3c78149ffc99e9a43bc73b9723
Comment 5 Adam Price 2012-09-26 09:22:37 EDT
merged. was a deeper issue with elastic search

https://github.com/Katello/katello/commit/044ebf811430c03994910954ffd4c530728c4709
Comment 6 Og Maciel 2012-10-09 17:45:46 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 8 errata-xmlrpc 2013-02-21 14:17:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.